org.richfaces.resource.optimizer.resource.writer.impl

## Class JavaScriptCompressingProcessor

- java.lang.Object
- - org.richfaces.resource.optimizer.resource.writer.impl.JavaScriptCompressingProcessor

- All Implemented Interfaces:
    ResourceProcessor

      public class JavaScriptCompressingProcessor
      extends Object
      implements ResourceProcessor

  Author:
    Nick Belaevski

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JavaScriptCompressingProcessor(Charset charset, Logger log)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isSupportedFile(String name)`
    `void` | `process(String resourceName, InputStream in, OutputStream out, boolean closeAtFinish)`
    `void` | `process(String resourceName, com.google.common.io.InputSupplier<? extends InputStream> in, com.google.common.io.OutputSupplier<? extends OutputStream> out, boolean closeAtFinish)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JavaScriptCompressingProcessor

          public JavaScriptCompressingProcessor(Charset charset,
                                        Logger log)

  - ### Method Detail

    - #### isSupportedFile

          public boolean isSupportedFile(String name)

      Specified by:
        `isSupportedFile` in interface `ResourceProcessor`

    - #### process

          public void process(String resourceName,
                     com.google.common.io.InputSupplier<? extends InputStream> in,
                     com.google.common.io.OutputSupplier<? extends OutputStream> out,
                     boolean closeAtFinish)
                       throws IOException

      Specified by:
        `process` in interface `ResourceProcessor`
      Throws:
        `IOException`

    - #### process

          public void process(String resourceName,
                     InputStream in,
                     OutputStream out,
                     boolean closeAtFinish)
                       throws IOException

      Specified by:
        `process` in interface `ResourceProcessor`
      Throws:
        `IOException`

Copyright © 2013 JBoss by Red Hat. All Rights Reserved.